Nuevas vulnerabilidades en los procesadores Intel

Intel nuevas vulnerabilidades ejecucion especulativa virus malware procesadores CPU seguridad informatica in4 noticias granada

Cuando ya empezaban a disiparse los últimos coletazos de las sonadas vulnerabilidades que aprovechan agujeros de seguridad en la arquitectura de los procesadores Intel y que tan graves fueron, quizás no tanto para los usuarios domésticos, pero si supusieron un problema para sistemas corporativos y servidores, parece que la historia se repite.

Hoy hemos conocido de nada menos que 4 nuevas vulnerabilidades que aprovechan la ejecución especulativa para escalar privilegios en sistema algo que es potencialmente muy peligroso, donde un atacante podría tener acceso a datos protegidos sin ningun tipo de restricción

Recordemos que la ejecución especulativa es un sistema ideado en su momento para “acelerar” lo máximo posible el CPU de manera que este trata de averiguar por adelantado que datos van a ser necesarios antes si quería que el usuario haga una petición, por si acaso son requeridos por el sistema en cuyo caso se ahorra un tiempo considerable, la idea es muy buena pero como se ha demostrado ha traído un sinfín de vulnerabilidades que han traído de cabeza a Intel y a sus grandes clientes con miles de procesadores instalados en servicios clave que de la noche a la mañana quedaron expuestos a ataques de todo tipo.

 “ZombieLoad”, “Fallout”, “Rogue In-Flight”y RIDL son las nuevos dolores de cabeza para Intel y sus socios que ven con preocupación como la pesadilla vivida hace algunos meses puede repetirse e incluso puede ser peor, pues estos ataques catalogadas como MDS “Microarchitectural Data Sampling” al parecer pueden leer los datos dentro de los buffers del procesador es decir, los hilos de procesamiento en tiempo real, lo que permitiría una extracción de información selectiva.

Intel nuevas vulnerabilidades ejecucion especulativa virus malware procesadores CPU seguridad informatica CEO SWAN in4 noticias granada
El nuevo frente que se le abre a Intel es muy importante y la brecha de seguridad ha sido catalogada como muy grave hasta tal punto que ha sido la propia Intel la que ha tenido que recomendar desactivar el HyperThreading, al menos por el momento hasta que se pueda dar una mejor solución. Si tenemos a la propia compañía recomendando a sus clientes (grandes clientes se entiende) que deshabiliten le HyperThreading es algo verdaderamente grave que va a tener un impacto en el rendimiento.

Al igual que ya paso con Meltdown y Spectre estas vulnerabilidades afectaran a todos los procesadores de Intel puesto que es un fallo de diseño, incluidos los de 8ª y 9ª generación, se va a necesitar parches de seguridad de forma inminentes para tratar de mitigar lo máximo posible estas nuevas vulnerabilidades lo cual conllevará una nueva perdida en el rendimiento, esperemos que se logre una solución lo más rápidamente posible, si bien este tipo de exploits de seguridad le dan bastante igual al común de los usuarios, nos afecta igualmente a todos pues puede afectar a servicios que usamos con asiduidad y que tienen datos nuestros sensibles.

© in4 asistencia informática - 2019